curl -X GET "https://parsagon.io/api/legislative/v1/bills/?jurisdiction=GB&updated_since=2026-11-12T00:00:00Z" \ -H "Authorization: Token YOUR_API_KEY_HERE"
{ "next": "https://parsagon.io/api/legislative/v1/bills/?cursor=cD0yMDI2LTExLTEyKzA2JTNBMTUlM0EwMyUyQjAwJTNBMDA%3D&updated_since=2026-11-12T00%3A00%3A00Z", "previous": null, "results": [ { "id": "b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61", "jurisdiction": { "code": "GB", "name": "United Kingdom" }, "external_id": "4083", "title": "Courts and Tribunals Bill", "long_title": "A Bill to Make provision in relation to criminal courts in England and Wales; to make provision about the leadership of tribunals; to amend section 1 of the Children Act 1989 to remove the presumption relating to the involvement of parents in the life of a child; and for connected purposes.", "bill_type": "Government Bill", "session": "40", "session_name": "2026-27 session", "introduction_date": "2026-02-25T00:00:00Z", "current_house": "Lords", "current_stage": "Committee stage", "current_stage_date": "2026-11-10T00:00:00Z", "status_normalized": "CONSIDERING", "originating_house": "Commons", "is_act": false, "last_update": "2026-11-11T17:05:31.482916Z", "next_event_date": "2026-11-16T00:00:00Z", "next_event_description": "Committee stage", "amendments_as_at": "2026-11-12T00:00:00Z", "upstream_url": "https://bills.parliament.uk/bills/4083", "source": "9a7e6b14-2c5d-4f80-b3e1-7d2c8f05a6b9", "first_seen": "2026-02-25T19:02:41.583120Z", "last_seen": "2026-11-12T06:15:03.271904Z" } ]}
Bills
List bills
List bills in the jurisdictions you can access, most recently updated first.
curl -X GET "https://parsagon.io/api/legislative/v1/bills/?jurisdiction=GB&updated_since=2026-11-12T00:00:00Z" \ -H "Authorization: Token YOUR_API_KEY_HERE"
{ "next": "https://parsagon.io/api/legislative/v1/bills/?cursor=cD0yMDI2LTExLTEyKzA2JTNBMTUlM0EwMyUyQjAwJTNBMDA%3D&updated_since=2026-11-12T00%3A00%3A00Z", "previous": null, "results": [ { "id": "b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61", "jurisdiction": { "code": "GB", "name": "United Kingdom" }, "external_id": "4083", "title": "Courts and Tribunals Bill", "long_title": "A Bill to Make provision in relation to criminal courts in England and Wales; to make provision about the leadership of tribunals; to amend section 1 of the Children Act 1989 to remove the presumption relating to the involvement of parents in the life of a child; and for connected purposes.", "bill_type": "Government Bill", "session": "40", "session_name": "2026-27 session", "introduction_date": "2026-02-25T00:00:00Z", "current_house": "Lords", "current_stage": "Committee stage", "current_stage_date": "2026-11-10T00:00:00Z", "status_normalized": "CONSIDERING", "originating_house": "Commons", "is_act": false, "last_update": "2026-11-11T17:05:31.482916Z", "next_event_date": "2026-11-16T00:00:00Z", "next_event_description": "Committee stage", "amendments_as_at": "2026-11-12T00:00:00Z", "upstream_url": "https://bills.parliament.uk/bills/4083", "source": "9a7e6b14-2c5d-4f80-b3e1-7d2c8f05a6b9", "first_seen": "2026-02-25T19:02:41.583120Z", "last_seen": "2026-11-12T06:15:03.271904Z" } ]}
Returns the bills in the jurisdictions you can access, most recently updated first. Results use cursor pagination.To poll for new bills and new activity on existing bills, use updated_since. See Polling for changes.
Query parameters
string
Only return bills from these jurisdictions. Pass one or more comma-separated codes from List jurisdictions, such as GB.
string
Only return bills that Parsagon updated at or after this time (ISO 8601). Filters on the bill’s last_seen.
string
Only return bills that Parsagon last updated before this time (ISO 8601). Filters on the bill’s last_seen.
string
Only return bills introduced at or after this time (ISO 8601).
string
Only return bills with this status: INTRODUCED, CONSIDERING, PASSED, FAILED, INACTIVE, or OTHER.
string
Only return bills from this session. Use the legislature’s session ID, as in the bill’s session field.
boolean
Set to true to only return bills that have become acts, or false to exclude them.
number
The maximum number of bills to return. Defaults to 100; maximum 500.
string
Cursor token from the previous response’s next or previous URL.
Response
string | null
URL for the next page of results, or null if this is the last page.
string | null
URL for the previous page of results, or null if this is the first page.
array
Array of bills, most recently updated first.
Show Bill fields
string
UUID of the bill.
object
The legislature the bill belongs to, with a code (for example, "GB") and a name. See List jurisdictions.
string
The bill’s ID in the legislature’s own system.
string
Short title of the bill.
string
Long title of the bill. Empty if unavailable.
string
Bill subtype, such as "Government Bill" or "Private Members' Bill (Presentation Bill)". Empty if unavailable.
string
The legislature’s ID for the session, such as "40" or "2025-2026".
string
Display name of the session, such as "2026-27 session".
string | null
When the bill was introduced (ISO 8601).
string
The house currently considering the bill.
string
The stage the bill is currently at, in the legislature’s own language.
string | null
When the bill’s most recent step happened (ISO 8601). If the current stage has several sittings, this is the latest one so far. If the current stage hasn’t started yet, this is the date of the bill’s last step before it.
string
The bill’s status, normalized across jurisdictions. One of "INTRODUCED", "CONSIDERING", "PASSED", "FAILED", "INACTIVE", or "OTHER". Empty if unknown.
string
The house the bill was introduced in.
boolean
Whether the bill has become an act.
string
When the legislature last updated the bill (ISO 8601).
string | null
Date of the bill’s next scheduled event (ISO 8601).
string
Description of the bill’s next scheduled event.
string | null
When the bill’s amendment list was last published (ISO 8601).
string
URL of the bill’s page on the legislature’s website.
string | null
uuid of the "LEGISLATION" source that holds the bill’s current text. null if the current text hasn’t been collected.
string
When Parsagon first collected the bill (ISO 8601).
string
When Parsagon last collected a change to the bill (ISO 8601). The updated_since and updated_before filters on List bills use this field.
Errors
Status
Meaning
400 Bad Request
A filter has an invalid value, such as a malformed date.
403 Forbidden
Your account doesn’t have a valid subscription or hasn’t accepted the Terms of Service.
{ "next": "https://parsagon.io/api/legislative/v1/bills/?cursor=cD0yMDI2LTExLTEyKzA2JTNBMTUlM0EwMyUyQjAwJTNBMDA%3D&updated_since=2026-11-12T00%3A00%3A00Z", "previous": null, "results": [ { "id": "b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61", "jurisdiction": { "code": "GB", "name": "United Kingdom" }, "external_id": "4083", "title": "Courts and Tribunals Bill", "long_title": "A Bill to Make provision in relation to criminal courts in England and Wales; to make provision about the leadership of tribunals; to amend section 1 of the Children Act 1989 to remove the presumption relating to the involvement of parents in the life of a child; and for connected purposes.", "bill_type": "Government Bill", "session": "40", "session_name": "2026-27 session", "introduction_date": "2026-02-25T00:00:00Z", "current_house": "Lords", "current_stage": "Committee stage", "current_stage_date": "2026-11-10T00:00:00Z", "status_normalized": "CONSIDERING", "originating_house": "Commons", "is_act": false, "last_update": "2026-11-11T17:05:31.482916Z", "next_event_date": "2026-11-16T00:00:00Z", "next_event_description": "Committee stage", "amendments_as_at": "2026-11-12T00:00:00Z", "upstream_url": "https://bills.parliament.uk/bills/4083", "source": "9a7e6b14-2c5d-4f80-b3e1-7d2c8f05a6b9", "first_seen": "2026-02-25T19:02:41.583120Z", "last_seen": "2026-11-12T06:15:03.271904Z" } ]}
curl -X GET "https://parsagon.io/api/legislative/v1/bills/?jurisdiction=GB&updated_since=2026-11-12T00:00:00Z" \ -H "Authorization: Token YOUR_API_KEY_HERE"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Parsagon API","colors":{"primary":"#006ef5","light":"#006ef5","dark":"#006ef5"},"logo":{"light":"https://mintcdn.com/parsagon/OT9jFrMDyW944O06/logo/light.svg?fit=max\u0026auto=format\u0026n=OT9jFrMDyW944O06\u0026q=85\u0026s=41a1f2238536b1d77487a185943344fe","dark":"https://mintcdn.com/parsagon/OT9jFrMDyW944O06/logo/dark.svg?fit=max\u0026auto=format\u0026n=OT9jFrMDyW944O06\u0026q=85\u0026s=e9ea4cecbc58e9d572b29ed29e144b51"},"favicon":"https://mintcdn.com/parsagon/Yy5RDPLer2_vomkc/favicon.ico?fit=max\u0026auto=format\u0026n=Yy5RDPLer2_vomkc\u0026q=85\u0026s=76c2033c2239575c7e1a0012648bba35","api":{"playground":{"display":"none"}},"appearance":{"default":"light","strict":false},"navbar":{"links":[{"href":"mailto:webmaster@parsagon.io","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://parsagon.io/create-alert"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/parsagon"}},"contextual":{"options":["copy","view","claude","chatgpt","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"parsagon","hasAudioNarration":false,"actualSubdomain":"parsagon","customDomains":["docs.parsagon.io"],"gitSource":{"type":"github","owner":"parsagon","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6afe6899b5966e104204a84d","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"Search and monitoring","count":13},{"language":"default","tag":"Legislative","count":12},{"language":"default","tag":"Bill records","count":7},{"language":"default","tag":"AI tools","count":4},{"language":"default","tag":"Bills","count":2},{"language":"default","tag":"Overview","count":1}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/legislative/list-bills","slug":"/api-reference/legislative/list-bills","pageMetadata":{"title":"List bills","description":"List bills in the jurisdictions you can access, most recently updated first.","api":"GET https://parsagon.io/api/legislative/v1/bills/","href":"/api-reference/legislative/list-bills"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List bills in the jurisdictions you can access, most recently updated first.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField,Table}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Returns the bills in the jurisdictions you can access, most recently updated first. Results use cursor pagination.`}),`\n`,_jsxs(_components.p,{children:[`To poll for new bills and new activity on existing bills, use `,_jsx(_components.code,{children:`updated_since`}),`. See `,_jsx(_components.a,{href:`/api-reference/legislative/overview#polling-for-changes`,children:`Polling for changes`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`jurisdiction`,type:`string`,id:`param-jurisdiction`,children:_jsxs(_components.p,{children:[`Only return bills from these jurisdictions. Pass one or more comma-separated codes from `,_jsx(_components.a,{href:`/api-reference/legislative/list-jurisdictions`,children:`List jurisdictions`}),`, such as `,_jsx(_components.code,{children:`GB`}),`.`]})}),`\n`,_jsx(ParamField,{query:`updated_since`,type:`string`,id:`param-updated-since`,children:_jsxs(_components.p,{children:[`Only return bills that Parsagon updated at or after this time (ISO 8601). Filters on the bill’s `,_jsx(_components.code,{children:`last_seen`}),`.`]})}),`\n`,_jsx(ParamField,{query:`updated_before`,type:`string`,id:`param-updated-before`,children:_jsxs(_components.p,{children:[`Only return bills that Parsagon last updated before this time (ISO 8601). Filters on the bill’s `,_jsx(_components.code,{children:`last_seen`}),`.`]})}),`\n`,_jsx(ParamField,{query:`introduced_since`,type:`string`,id:`param-introduced-since`,children:_jsx(_components.p,{children:`Only return bills introduced at or after this time (ISO 8601).`})}),`\n`,_jsx(ParamField,{query:`status_normalized`,type:`string`,id:`param-status-normalized`,children:_jsxs(_components.p,{children:[`Only return bills with this status: `,_jsx(_components.code,{children:`INTRODUCED`}),`, `,_jsx(_components.code,{children:`CONSIDERING`}),`, `,_jsx(_components.code,{children:`PASSED`}),`, `,_jsx(_components.code,{children:`FAILED`}),`, `,_jsx(_components.code,{children:`INACTIVE`}),`, or `,_jsx(_components.code,{children:`OTHER`}),`.`]})}),`\n`,_jsx(ParamField,{query:`session`,type:`string`,id:`param-session`,children:_jsxs(_components.p,{children:[`Only return bills from this session. Use the legislature’s session ID, as in the bill’s `,_jsx(_components.code,{children:`session`}),` field.`]})}),`\n`,_jsx(ParamField,{query:`is_act`,type:`boolean`,id:`param-is-act`,children:_jsxs(_components.p,{children:[`Set to `,_jsx(_components.code,{children:`true`}),` to only return bills that have become acts, or `,_jsx(_components.code,{children:`false`}),` to exclude them.`]})}),`\n`,_jsx(ParamField,{query:`page_size`,type:`number`,id:`param-page-size`,children:_jsxs(_components.p,{children:[`The maximum number of bills to return. Defaults to `,_jsx(_components.code,{children:`100`}),`; maximum `,_jsx(_components.code,{children:`500`}),`.`]})}),`\n`,_jsx(ParamField,{query:`cursor`,type:`string`,id:`param-cursor`,children:_jsxs(_components.p,{children:[`Cursor token from the previous response’s `,_jsx(_components.code,{children:`next`}),` or `,_jsx(_components.code,{children:`previous`}),` URL.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`next`,type:`string | null`,id:`param-next`,children:_jsxs(_components.p,{children:[`URL for the next page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the last page.`]})}),`\n`,_jsx(ResponseField,{name:`previous`,type:`string | null`,id:`param-previous`,children:_jsxs(_components.p,{children:[`URL for the previous page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the first page.`]})}),`\n`,_jsxs(ResponseField,{name:`results`,type:`array`,id:`param-results`,children:[_jsx(_components.p,{children:`Array of bills, most recently updated first.`}),_jsxs(Expandable,{title:`Bill fields`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`UUID of the bill.`})}),_jsx(ResponseField,{name:`jurisdiction`,type:`object`,id:`param-jurisdiction-1`,children:_jsxs(_components.p,{children:[`The legislature the bill belongs to, with a `,_jsx(_components.code,{children:`code`}),` (for example, `,_jsx(_components.code,{children:`\"GB\"`}),`) and a `,_jsx(_components.code,{children:`name`}),`. See `,_jsx(_components.a,{href:`/api-reference/legislative/list-jurisdictions`,children:`List jurisdictions`}),`.`]})}),_jsx(ResponseField,{name:`external_id`,type:`string`,id:`param-external-id`,children:_jsx(_components.p,{children:`The bill’s ID in the legislature’s own system.`})}),_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title`,children:_jsx(_components.p,{children:`Short title of the bill.`})}),_jsx(ResponseField,{name:`long_title`,type:`string`,id:`param-long-title`,children:_jsx(_components.p,{children:`Long title of the bill. Empty if unavailable.`})}),_jsx(ResponseField,{name:`bill_type`,type:`string`,id:`param-bill-type`,children:_jsxs(_components.p,{children:[`Bill subtype, such as `,_jsx(_components.code,{children:`\"Government Bill\"`}),` or `,_jsx(_components.code,{children:`\"Private Members' Bill (Presentation Bill)\"`}),`. Empty if unavailable.`]})}),_jsx(ResponseField,{name:`session`,type:`string`,id:`param-session-1`,children:_jsxs(_components.p,{children:[`The legislature’s ID for the session, such as `,_jsx(_components.code,{children:`\"40\"`}),` or `,_jsx(_components.code,{children:`\"2025-2026\"`}),`.`]})}),_jsx(ResponseField,{name:`session_name`,type:`string`,id:`param-session-name`,children:_jsxs(_components.p,{children:[`Display name of the session, such as `,_jsx(_components.code,{children:`\"2026-27 session\"`}),`.`]})}),_jsx(ResponseField,{name:`introduction_date`,type:`string | null`,id:`param-introduction-date`,children:_jsx(_components.p,{children:`When the bill was introduced (ISO 8601).`})}),_jsx(ResponseField,{name:`current_house`,type:`string`,id:`param-current-house`,children:_jsx(_components.p,{children:`The house currently considering the bill.`})}),_jsx(ResponseField,{name:`current_stage`,type:`string`,id:`param-current-stage`,children:_jsx(_components.p,{children:`The stage the bill is currently at, in the legislature’s own language.`})}),_jsx(ResponseField,{name:`current_stage_date`,type:`string | null`,id:`param-current-stage-date`,children:_jsx(_components.p,{children:`When the bill’s most recent step happened (ISO 8601). If the current stage has several sittings, this is the latest one so far. If the current stage hasn’t started yet, this is the date of the bill’s last step before it.`})}),_jsx(ResponseField,{name:`status_normalized`,type:`string`,id:`param-status-normalized-1`,children:_jsxs(_components.p,{children:[`The bill’s status, normalized across jurisdictions. One of `,_jsx(_components.code,{children:`\"INTRODUCED\"`}),`, `,_jsx(_components.code,{children:`\"CONSIDERING\"`}),`, `,_jsx(_components.code,{children:`\"PASSED\"`}),`, `,_jsx(_components.code,{children:`\"FAILED\"`}),`, `,_jsx(_components.code,{children:`\"INACTIVE\"`}),`, or `,_jsx(_components.code,{children:`\"OTHER\"`}),`. Empty if unknown.`]})}),_jsx(ResponseField,{name:`originating_house`,type:`string`,id:`param-originating-house`,children:_jsx(_components.p,{children:`The house the bill was introduced in.`})}),_jsx(ResponseField,{name:`is_act`,type:`boolean`,id:`param-is-act-1`,children:_jsx(_components.p,{children:`Whether the bill has become an act.`})}),_jsx(ResponseField,{name:`last_update`,type:`string`,id:`param-last-update`,children:_jsx(_components.p,{children:`When the legislature last updated the bill (ISO 8601).`})}),_jsx(ResponseField,{name:`next_event_date`,type:`string | null`,id:`param-next-event-date`,children:_jsx(_components.p,{children:`Date of the bill’s next scheduled event (ISO 8601).`})}),_jsx(ResponseField,{name:`next_event_description`,type:`string`,id:`param-next-event-description`,children:_jsx(_components.p,{children:`Description of the bill’s next scheduled event.`})}),_jsx(ResponseField,{name:`amendments_as_at`,type:`string | null`,id:`param-amendments-as-at`,children:_jsx(_components.p,{children:`When the bill’s amendment list was last published (ISO 8601).`})}),_jsx(ResponseField,{name:`upstream_url`,type:`string`,id:`param-upstream-url`,children:_jsx(_components.p,{children:`URL of the bill’s page on the legislature’s website.`})}),_jsx(ResponseField,{name:`source`,type:`string | null`,id:`param-source`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`uuid`}),` of the `,_jsx(_components.code,{children:`\"LEGISLATION\"`}),` source that holds the bill’s current text. `,_jsx(_components.code,{children:`null`}),` if the current text hasn’t been collected.`]})}),_jsx(ResponseField,{name:`first_seen`,type:`string`,id:`param-first-seen`,children:_jsx(_components.p,{children:`When Parsagon first collected the bill (ISO 8601).`})}),_jsx(ResponseField,{name:`last_seen`,type:`string`,id:`param-last-seen`,children:_jsxs(_components.p,{children:[`When Parsagon last collected a change to the bill (ISO 8601). The `,_jsx(_components.code,{children:`updated_since`}),` and `,_jsx(_components.code,{children:`updated_before`}),` filters on `,_jsx(_components.a,{href:`/api-reference/legislative/list-bills`,children:`List bills`}),` use this field.`]})})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Meaning`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`400 Bad Request`})}),_jsx(_components.td,{children:`A filter has an invalid value, such as a malformed date.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`403 Forbidden`})}),_jsx(_components.td,{children:`Your account doesn’t have a valid subscription or hasn’t accepted the Terms of Service.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List bills","description":"List bills in the jurisdictions you can access, most recently updated first.","api":"GET https://parsagon.io/api/legislative/v1/bills/","href":"/api-reference/legislative/list-bills"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Returns the bills in the jurisdictions you can access, most recently updated first. Results use cursor pagination.`}),`\n`,_jsxs(_components.p,{children:[`To poll for new bills and new activity on existing bills, use `,_jsx(_components.code,{children:`updated_since`}),`. See `,_jsx(_components.a,{href:`/api-reference/legislative/overview#polling-for-changes`,children:`Polling for changes`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`jurisdiction`,type:`string`,id:`param-jurisdiction`,children:_jsxs(_components.p,{children:[`Only return bills from these jurisdictions. Pass one or more comma-separated codes from `,_jsx(_components.a,{href:`/api-reference/legislative/list-jurisdictions`,children:`List jurisdictions`}),`, such as `,_jsx(_components.code,{children:`GB`}),`.`]})}),`\n`,_jsx(ParamField,{query:`updated_since`,type:`string`,id:`param-updated-since`,children:_jsxs(_components.p,{children:[`Only return bills that Parsagon updated at or after this time (ISO 8601). Filters on the bill’s `,_jsx(_components.code,{children:`last_seen`}),`.`]})}),`\n`,_jsx(ParamField,{query:`updated_before`,type:`string`,id:`param-updated-before`,children:_jsxs(_components.p,{children:[`Only return bills that Parsagon last updated before this time (ISO 8601). Filters on the bill’s `,_jsx(_components.code,{children:`last_seen`}),`.`]})}),`\n`,_jsx(ParamField,{query:`introduced_since`,type:`string`,id:`param-introduced-since`,children:_jsx(_components.p,{children:`Only return bills introduced at or after this time (ISO 8601).`})}),`\n`,_jsx(ParamField,{query:`status_normalized`,type:`string`,id:`param-status-normalized`,children:_jsxs(_components.p,{children:[`Only return bills with this status: `,_jsx(_components.code,{children:`INTRODUCED`}),`, `,_jsx(_components.code,{children:`CONSIDERING`}),`, `,_jsx(_components.code,{children:`PASSED`}),`, `,_jsx(_components.code,{children:`FAILED`}),`, `,_jsx(_components.code,{children:`INACTIVE`}),`, or `,_jsx(_components.code,{children:`OTHER`}),`.`]})}),`\n`,_jsx(ParamField,{query:`session`,type:`string`,id:`param-session`,children:_jsxs(_components.p,{children:[`Only return bills from this session. Use the legislature’s session ID, as in the bill’s `,_jsx(_components.code,{children:`session`}),` field.`]})}),`\n`,_jsx(ParamField,{query:`is_act`,type:`boolean`,id:`param-is-act`,children:_jsxs(_components.p,{children:[`Set to `,_jsx(_components.code,{children:`true`}),` to only return bills that have become acts, or `,_jsx(_components.code,{children:`false`}),` to exclude them.`]})}),`\n`,_jsx(ParamField,{query:`page_size`,type:`number`,id:`param-page-size`,children:_jsxs(_components.p,{children:[`The maximum number of bills to return. Defaults to `,_jsx(_components.code,{children:`100`}),`; maximum `,_jsx(_components.code,{children:`500`}),`.`]})}),`\n`,_jsx(ParamField,{query:`cursor`,type:`string`,id:`param-cursor`,children:_jsxs(_components.p,{children:[`Cursor token from the previous response’s `,_jsx(_components.code,{children:`next`}),` or `,_jsx(_components.code,{children:`previous`}),` URL.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`next`,type:`string | null`,id:`param-next`,children:_jsxs(_components.p,{children:[`URL for the next page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the last page.`]})}),`\n`,_jsx(ResponseField,{name:`previous`,type:`string | null`,id:`param-previous`,children:_jsxs(_components.p,{children:[`URL for the previous page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the first page.`]})}),`\n`,_jsxs(ResponseField,{name:`results`,type:`array`,id:`param-results`,children:[_jsx(_components.p,{children:`Array of bills, most recently updated first.`}),_jsxs(Expandable,{title:`Bill fields`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`UUID of the bill.`})}),_jsx(ResponseField,{name:`jurisdiction`,type:`object`,id:`param-jurisdiction-1`,children:_jsxs(_components.p,{children:[`The legislature the bill belongs to, with a `,_jsx(_components.code,{children:`code`}),` (for example, `,_jsx(_components.code,{children:`\"GB\"`}),`) and a `,_jsx(_components.code,{children:`name`}),`. See `,_jsx(_components.a,{href:`/api-reference/legislative/list-jurisdictions`,children:`List jurisdictions`}),`.`]})}),_jsx(ResponseField,{name:`external_id`,type:`string`,id:`param-external-id`,children:_jsx(_components.p,{children:`The bill’s ID in the legislature’s own system.`})}),_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title`,children:_jsx(_components.p,{children:`Short title of the bill.`})}),_jsx(ResponseField,{name:`long_title`,type:`string`,id:`param-long-title`,children:_jsx(_components.p,{children:`Long title of the bill. Empty if unavailable.`})}),_jsx(ResponseField,{name:`bill_type`,type:`string`,id:`param-bill-type`,children:_jsxs(_components.p,{children:[`Bill subtype, such as `,_jsx(_components.code,{children:`\"Government Bill\"`}),` or `,_jsx(_components.code,{children:`\"Private Members' Bill (Presentation Bill)\"`}),`. Empty if unavailable.`]})}),_jsx(ResponseField,{name:`session`,type:`string`,id:`param-session-1`,children:_jsxs(_components.p,{children:[`The legislature’s ID for the session, such as `,_jsx(_components.code,{children:`\"40\"`}),` or `,_jsx(_components.code,{children:`\"2025-2026\"`}),`.`]})}),_jsx(ResponseField,{name:`session_name`,type:`string`,id:`param-session-name`,children:_jsxs(_components.p,{children:[`Display name of the session, such as `,_jsx(_components.code,{children:`\"2026-27 session\"`}),`.`]})}),_jsx(ResponseField,{name:`introduction_date`,type:`string | null`,id:`param-introduction-date`,children:_jsx(_components.p,{children:`When the bill was introduced (ISO 8601).`})}),_jsx(ResponseField,{name:`current_house`,type:`string`,id:`param-current-house`,children:_jsx(_components.p,{children:`The house currently considering the bill.`})}),_jsx(ResponseField,{name:`current_stage`,type:`string`,id:`param-current-stage`,children:_jsx(_components.p,{children:`The stage the bill is currently at, in the legislature’s own language.`})}),_jsx(ResponseField,{name:`current_stage_date`,type:`string | null`,id:`param-current-stage-date`,children:_jsx(_components.p,{children:`When the bill’s most recent step happened (ISO 8601). If the current stage has several sittings, this is the latest one so far. If the current stage hasn’t started yet, this is the date of the bill’s last step before it.`})}),_jsx(ResponseField,{name:`status_normalized`,type:`string`,id:`param-status-normalized-1`,children:_jsxs(_components.p,{children:[`The bill’s status, normalized across jurisdictions. One of `,_jsx(_components.code,{children:`\"INTRODUCED\"`}),`, `,_jsx(_components.code,{children:`\"CONSIDERING\"`}),`, `,_jsx(_components.code,{children:`\"PASSED\"`}),`, `,_jsx(_components.code,{children:`\"FAILED\"`}),`, `,_jsx(_components.code,{children:`\"INACTIVE\"`}),`, or `,_jsx(_components.code,{children:`\"OTHER\"`}),`. Empty if unknown.`]})}),_jsx(ResponseField,{name:`originating_house`,type:`string`,id:`param-originating-house`,children:_jsx(_components.p,{children:`The house the bill was introduced in.`})}),_jsx(ResponseField,{name:`is_act`,type:`boolean`,id:`param-is-act-1`,children:_jsx(_components.p,{children:`Whether the bill has become an act.`})}),_jsx(ResponseField,{name:`last_update`,type:`string`,id:`param-last-update`,children:_jsx(_components.p,{children:`When the legislature last updated the bill (ISO 8601).`})}),_jsx(ResponseField,{name:`next_event_date`,type:`string | null`,id:`param-next-event-date`,children:_jsx(_components.p,{children:`Date of the bill’s next scheduled event (ISO 8601).`})}),_jsx(ResponseField,{name:`next_event_description`,type:`string`,id:`param-next-event-description`,children:_jsx(_components.p,{children:`Description of the bill’s next scheduled event.`})}),_jsx(ResponseField,{name:`amendments_as_at`,type:`string | null`,id:`param-amendments-as-at`,children:_jsx(_components.p,{children:`When the bill’s amendment list was last published (ISO 8601).`})}),_jsx(ResponseField,{name:`upstream_url`,type:`string`,id:`param-upstream-url`,children:_jsx(_components.p,{children:`URL of the bill’s page on the legislature’s website.`})}),_jsx(ResponseField,{name:`source`,type:`string | null`,id:`param-source`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`uuid`}),` of the `,_jsx(_components.code,{children:`\"LEGISLATION\"`}),` source that holds the bill’s current text. `,_jsx(_components.code,{children:`null`}),` if the current text hasn’t been collected.`]})}),_jsx(ResponseField,{name:`first_seen`,type:`string`,id:`param-first-seen`,children:_jsx(_components.p,{children:`When Parsagon first collected the bill (ISO 8601).`})}),_jsx(ResponseField,{name:`last_seen`,type:`string`,id:`param-last-seen`,children:_jsxs(_components.p,{children:[`When Parsagon last collected a change to the bill (ISO 8601). The `,_jsx(_components.code,{children:`updated_since`}),` and `,_jsx(_components.code,{children:`updated_before`}),` filters on `,_jsx(_components.a,{href:`/api-reference/legislative/list-bills`,children:`List bills`}),` use this field.`]})})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Meaning`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`400 Bad Request`})}),_jsx(_components.td,{children:`A filter has an invalid value, such as a malformed date.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`403 Forbidden`})}),_jsx(_components.td,{children:`Your account doesn’t have a valid subscription or hasn’t accepted the Terms of Service.`})]})]})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Example response`,numberOfLines:`34`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`34`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"next\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://parsagon.io/api/legislative/v1/bills/?cursor=cD0yMDI2LTExLTEyKzA2JTNBMTUlM0EwMyUyQjAwJTNBMDA%3D\u0026updated_since=2026-11-12T00%3A00%3A00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"previous\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"results\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"jurisdiction\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GB\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"United Kingdom\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"external_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4083\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Courts and Tribunals Bill\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"long_title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A Bill to Make provision in relation to criminal courts in England and Wales; to make provision about the leadership of tribunals; to amend section 1 of the Children Act 1989 to remove the presumption relating to the involvement of parents in the life of a child; and for connected purposes.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"bill_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Government Bill\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"session\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"40\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"session_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-27 session\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"introduction_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-02-25T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"current_house\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lords\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"current_stage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Committee stage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"current_stage_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-11-10T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status_normalized\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CONSIDERING\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"originating_house\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Commons\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_act\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_update\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-11-11T17:05:31.482916Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"next_event_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-11-16T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"next_event_description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Committee stage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amendments_as_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-11-12T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"upstream_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://bills.parliament.uk/bills/4083\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9a7e6b14-2c5d-4f80-b3e1-7d2c8f05a6b9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"first_seen\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-02-25T19:02:41.583120Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_seen\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-11-12T06:15:03.271904Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` -X GET `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://parsagon.io/api/legislative/v1/bills/?jurisdiction=GB\u0026updated_since=2026-11-12T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` -H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization: Token YOUR_API_KEY_HERE\"`})]}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List bills","description":"List bills in the jurisdictions you can access, most recently updated first.","api":"GET https://parsagon.io/api/legislative/v1/bills/","href":"/api-reference/legislative/list-bills"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Query parameters","slug":"query-parameters","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Errors","slug":"errors","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"2\">\u003cspan class=\"line\">\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> -X GET \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://parsagon.io/api/legislative/v1/bills/?jurisdiction=GB\u0026#x26;updated_since=2026-11-12T00:00:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> -H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Authorization: Token YOUR_API_KEY_HERE\"\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Example response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"34\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"next\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://parsagon.io/api/legislative/v1/bills/?cursor=cD0yMDI2LTExLTEyKzA2JTNBMTUlM0EwMyUyQjAwJTNBMDA%3D\u0026#x26;updated_since=2026-11-12T00%3A00%3A00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"previous\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"results\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"jurisdiction\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"GB\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"United Kingdom\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"external_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"4083\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"title\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Courts and Tribunals Bill\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"long_title\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"A Bill to Make provision in relation to criminal courts in England and Wales; to make provision about the leadership of tribunals; to amend section 1 of the Children Act 1989 to remove the presumption relating to the involvement of parents in the life of a child; and for connected purposes.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"bill_type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Government Bill\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"session\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"40\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"session_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-27 session\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"introduction_date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-02-25T00:00:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"current_house\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Lords\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"current_stage\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Committee stage\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"current_stage_date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-11-10T00:00:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status_normalized\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"CONSIDERING\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"originating_house\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Commons\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_act\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_update\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-11-11T17:05:31.482916Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"next_event_date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-11-16T00:00:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"next_event_description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Committee stage\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amendments_as_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-11-12T00:00:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"upstream_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://bills.parliament.uk/bills/4083\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"source\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"9a7e6b14-2c5d-4f80-b3e1-7d2c8f05a6b9\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"first_seen\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-02-25T19:02:41.583120Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_seen\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-11-12T06:15:03.271904Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"List bills","path":"/api/legislative/v1/bills/","servers":[{"url":"https://parsagon.io"}],"method":"get","request":{"security":[],"parameters":{"query":{"jurisdiction":{"schema":[{"type":"string","description":"Only return bills from these jurisdictions. Pass one or more comma-separated codes from List jurisdictions , such as `GB` ."}]},"updated_since":{"schema":[{"type":"string","description":"Only return bills that Parsagon updated at or after this time (ISO 8601). Filters on the bill’s `last_seen` ."}]},"updated_before":{"schema":[{"type":"string","description":"Only return bills that Parsagon last updated before this time (ISO 8601). Filters on the bill’s `last_seen` ."}]},"introduced_since":{"schema":[{"type":"string","description":"Only return bills introduced at or after this time (ISO 8601)."}]},"status_normalized":{"schema":[{"type":"string","description":"Only return bills with this status: `INTRODUCED` , `CONSIDERING` , `PASSED` , `FAILED` , `INACTIVE` , or `OTHER` ."}]},"session":{"schema":[{"type":"string","description":"Only return bills from this session. Use the legislature’s session ID, as in the bill’s `session` field."}]},"is_act":{"schema":[{"type":"boolean","description":"Set to `true` to only return bills that have become acts, or `false` to exclude them."}]},"page_size":{"schema":[{"type":"number","description":"The maximum number of bills to return. Defaults to `100` ; maximum `500` ."}]},"cursor":{"schema":[{"type":"string","description":"Cursor token from the previous response’s `next` or `previous` URL."}]}},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"next":[{"type":"object","properties":{},"description":"URL for the next page of results, or `null` if this is the last page."}],"previous":[{"type":"object","properties":{},"description":"URL for the previous page of results, or `null` if this is the first page."}],"results":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"string","description":"UUID of the bill."}],"jurisdiction":[{"type":"object","properties":{},"description":"The legislature the bill belongs to, with a `code` (for example, `\"GB\"` ) and a `name` . See List jurisdictions ."}],"external_id":[{"type":"string","description":"The bill’s ID in the legislature’s own system."}],"title":[{"type":"string","description":"Short title of the bill."}],"long_title":[{"type":"string","description":"Long title of the bill. Empty if unavailable."}],"bill_type":[{"type":"string","description":"Bill subtype, such as `\"Government Bill\"` or `\"Private Members' Bill (Presentation Bill)\"` . Empty if unavailable."}],"session":[{"type":"string","description":"The legislature’s ID for the session, such as `\"40\"` or `\"2025-2026\"` ."}],"session_name":[{"type":"string","description":"Display name of the session, such as `\"2026-27 session\"` ."}],"introduction_date":[{"type":"object","properties":{},"description":"When the bill was introduced (ISO 8601)."}],"current_house":[{"type":"string","description":"The house currently considering the bill."}],"current_stage":[{"type":"string","description":"The stage the bill is currently at, in the legislature’s own language."}],"current_stage_date":[{"type":"object","properties":{},"description":"When the bill’s most recent step happened (ISO 8601). If the current stage has several sittings, this is the latest one so far. If the current stage hasn’t started yet, this is the date of the bill’s last step before it."}],"status_normalized":[{"type":"string","description":"The bill’s status, normalized across jurisdictions. One of `\"INTRODUCED\"` , `\"CONSIDERING\"` , `\"PASSED\"` , `\"FAILED\"` , `\"INACTIVE\"` , or `\"OTHER\"` . Empty if unknown."}],"originating_house":[{"type":"string","description":"The house the bill was introduced in."}],"is_act":[{"type":"boolean","description":"Whether the bill has become an act."}],"last_update":[{"type":"string","description":"When the legislature last updated the bill (ISO 8601)."}],"next_event_date":[{"type":"object","properties":{},"description":"Date of the bill’s next scheduled event (ISO 8601)."}],"next_event_description":[{"type":"string","description":"Description of the bill’s next scheduled event."}],"amendments_as_at":[{"type":"object","properties":{},"description":"When the bill’s amendment list was last published (ISO 8601)."}],"upstream_url":[{"type":"string","description":"URL of the bill’s page on the legislature’s website."}],"source":[{"type":"object","properties":{},"description":"`uuid` of the `\"LEGISLATION\"` source that holds the bill’s current text. `null` if the current text hasn’t been collected."}],"first_seen":[{"type":"string","description":"When Parsagon first collected the bill (ISO 8601)."}],"last_seen":[{"type":"string","description":"When Parsagon last collected a change to the bill (ISO 8601). The `updated_since` and `updated_before` filters on List bills use this field."}]}}],"description":"Array of bills, most recently updated first."}]}}],"examples":{"example":{"value":{"next":{},"previous":{},"results":[{"id":"\u003cstring>","jurisdiction":{},"external_id":"\u003cstring>","title":"\u003cstring>","long_title":"\u003cstring>","bill_type":"\u003cstring>","session":"\u003cstring>","session_name":"\u003cstring>","introduction_date":{},"current_house":"\u003cstring>","current_stage":"\u003cstring>","current_stage_date":{},"status_normalized":"\u003cstring>","originating_house":"\u003cstring>","is_act":true,"last_update":"\u003cstring>","next_event_date":{},"next_event_description":"\u003cstring>","amendments_as_at":{},"upstream_url":"\u003cstring>","source":{},"first_seen":"\u003cstring>","last_seen":"\u003cstring>"}]}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"parsagon","siteName":"Parsagon API","title":"List bills - Parsagon API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-19T03:10:21.845Z","originalFileLocation":"api-reference/legislative/list-bills.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List bills in the jurisdictions you can access, most recently updated first.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Parsagon API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List bills - Parsagon API\">\u003cmeta data-mint-head property=\"og:description\" content=\"List bills in the jurisdictions you can access, most recently updated first.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Parsagon API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.parsagon.io/api-reference/legislative/list-bills\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://parsagon.mintlify.site/_mintlify/api/og/v2?division=Bills\u0026amp;title=List+bills\u0026amp;description=List+bills+in+the+jurisdictions+you+can+access%2C+most+recently+updated+first.\u0026amp;theme=0acf6cd42906871d92a02230\u0026amp;signature=681303f3a2e5d185e849e6942311ac22d29504f9bc8c456fc3824e907388a671\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List bills - Parsagon API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List bills in the jurisdictions you can access, most recently updated first.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://parsagon.mintlify.site/_mintlify/api/og/v2?division=Bills\u0026amp;title=List+bills\u0026amp;description=List+bills+in+the+jurisdictions+you+can+access%2C+most+recently+updated+first.\u0026amp;theme=0acf6cd42906871d92a02230\u0026amp;signature=681303f3a2e5d185e849e6942311ac22d29504f9bc8c456fc3824e907388a671\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Parsagon API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#006ef5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.parsagon.io/api-reference/legislative/list-bills\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/legislative/list-bills.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.parsagon.io/#organization\",\"name\":\"Parsagon API\",\"url\":\"https://docs.parsagon.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/parsagon/OT9jFrMDyW944O06/logo/light.svg?fit=max\u0026auto=format\u0026n=OT9jFrMDyW944O06\u0026q=85\u0026s=41a1f2238536b1d77487a185943344fe\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.parsagon.io#website\",\"name\":\"Parsagon API\",\"url\":\"https://docs.parsagon.io\",\"publisher\":{\"@id\":\"https://docs.parsagon.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-bills#webpage\",\"url\":\"https://docs.parsagon.io/api-reference/legislative/list-bills\",\"name\":\"List bills\",\"description\":\"List bills in the jurisdictions you can access, most recently updated first.\",\"dateModified\":\"2026-11-19T03:10:21.845Z\",\"isPartOf\":{\"@id\":\"https://docs.parsagon.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-bills#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-bills#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Legislative\",\"item\":\"https://docs.parsagon.io/api-reference/legislative/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List bills\",\"item\":\"https://docs.parsagon.io/api-reference/legislative/list-bills\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-bills#apireference\",\"headline\":\"List bills\",\"name\":\"List bills\",\"description\":\"List bills in the jurisdictions you can access, most recently updated first.\",\"url\":\"https://docs.parsagon.io/api-reference/legislative/list-bills\",\"mainEntityOfPage\":{\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-bills#webpage\"},\"dateModified\":\"2026-11-19T03:10:21.845Z\",\"publisher\":{\"@id\":\"https://docs.parsagon.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.parsagon.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Parsagon API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Parsagon API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/legislative/list-bills.md","siteName":"Parsagon API","nav":{"global":null,"groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Search and monitoring","pages":[{"title":"Quick Search","api":"POST https://parsagon.io/api/events/v1/quick-search/","href":"/api-reference/endpoint/quick-search"},{"title":"Create advanced search","api":"POST https://parsagon.io/api/events/v1/search/","href":"/api-reference/endpoint/advanced-search"},{"title":"Retrieve advanced search","api":"GET https://parsagon.io/api/events/v1/search/{search_id}/","href":"/api-reference/endpoint/get-search"},{"title":"List searches","api":"GET https://parsagon.io/api/events/v1/search/","href":"/api-reference/endpoint/list-searches"},{"title":"Create report","api":"POST https://parsagon.io/api/events/v1/reports/","href":"/api-reference/endpoint/create-report"},{"title":"Retrieve report","api":"GET https://parsagon.io/api/events/v1/reports/{report_id}/","href":"/api-reference/endpoint/get-report"},{"title":"Get jurisdiction usage","api":"GET https://parsagon.io/api/usage/v1/jurisdictions/","href":"/api-reference/endpoint/jurisdiction-usage"},{"title":"Get category sources","api":"GET https://parsagon.io/api/events/v1/categories/{category_id}/sources/","href":"/api-reference/endpoint/category-sources"},{"title":"Get category sources v2","api":"GET https://parsagon.io/api/events/v2/categories/{category_id}/sources/","href":"/api-reference/endpoint/category-sources-v2"},{"title":"List transcripts","api":"GET https://parsagon.io/api/transcripts/v1/categories/{category}/transcripts","href":"/api-reference/endpoint/list-transcripts"},{"title":"Search transcripts","api":"GET https://parsagon.io/api/transcripts/v1/categories/{category}/search","href":"/api-reference/endpoint/search-transcripts"},{"title":"Get transcript","api":"GET https://parsagon.io/api/transcripts/v1/{id}","href":"/api-reference/endpoint/get-transcript"},{"title":"Transcript requests","href":"/api-reference/endpoint/transcript-requests"}]},{"group":"Legislative","pages":[{"title":"Legislative API overview","sidebarTitle":"Overview","href":"/api-reference/legislative/overview"},{"title":"List jurisdictions","description":"List the jurisdictions whose bills your API key can read.","api":"GET https://parsagon.io/api/legislative/v1/jurisdictions/","href":"/api-reference/legislative/list-jurisdictions"},{"group":"Bills","pages":[{"title":"List bills","api":"GET https://parsagon.io/api/legislative/v1/bills/","href":"/api-reference/legislative/list-bills"},{"title":"Get bill","description":"Retrieve a single bill and its sponsors.","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/","href":"/api-reference/legislative/get-bill"}]},{"group":"Bill records","pages":[{"title":"List bill actions","sidebarTitle":"Actions","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/actions/","href":"/api-reference/legislative/list-actions"},{"title":"List bill events","sidebarTitle":"Events","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/events/","href":"/api-reference/legislative/list-events"},{"title":"List bill amendments","sidebarTitle":"Amendments","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/amendments/","href":"/api-reference/legislative/list-amendments"},{"title":"List bill votes","sidebarTitle":"Votes","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/votes/","href":"/api-reference/legislative/list-votes"},{"title":"List bill speeches","sidebarTitle":"Speeches","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/speeches/","href":"/api-reference/legislative/list-speeches"},{"title":"List bill text versions","sidebarTitle":"Text versions","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/texts/","href":"/api-reference/legislative/list-texts"},{"title":"Get bill text version","sidebarTitle":"Get text version","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/texts/{text_id}/","href":"/api-reference/legislative/get-text"}]},{"title":"Get legislative source","api":"GET https://parsagon.io/api/legislative/v1/sources/{source_uuid}/","href":"/api-reference/legislative/get-source"}]},{"group":"AI tools","pages":[{"title":"Coding agent skill","icon":"robot","href":"/ai-tools/coding-agent-skill"},{"title":"Claude Code setup","icon":"asterisk","href":"/ai-tools/claude-code"},{"title":"Cursor setup","icon":"arrow-pointer","href":"/ai-tools/cursor"},{"title":"Windsurf setup","icon":"water","href":"/ai-tools/windsurf"}]}]},"basePath":"","title":"List bills - Parsagon API","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","CodeSnippet-D_HwgQO_.js","getApiPlaygroundDisplay-CmCoerhe.js","Page-CVJ-f_k1.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js"]}